Stake Authority Stats
curl --request GET \
--url https://api.rated.network/v0/solana/delegators/stakeAuthorities/{stake_authority}/rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/solana/delegators/stakeAuthorities/{stake_authority}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/solana/delegators/stakeAuthorities/{stake_authority}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"granularity": "3k",
"size": 1
},
"total": 1,
"data": [
{
"blendedMevCommissionRate": 0.07,
"blendedVoteCommissionRate": 0.07,
"day": "2024-04-04",
"delegatedStake": 4.61,
"delegations": [
{
"percentage": 0.8,
"validatorName": "Ledger by Figment",
"validatorVoteAccount": "26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx"
},
{
"percentage": 0.2,
"validatorName": "Aurora Validator",
"validatorVoteAccount": "34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs"
}
],
"fromEpoch": 597,
"fromSlot": 258212466,
"fromTimestamp": "2024-04-04 00:00:00",
"mevCommissionPaid": 0,
"mevRewards": 0,
"missedStakingRewards": 0,
"stakeAuthority": "q9XWcZ7T1wP4bW9SB4XgNNwjnFEJ982nE8aVbbNuwot",
"stakingCommissionPaid": 0.0001,
"stakingRewards": 0.002,
"toEpoch": 598,
"toSlot": 258394459,
"toTimestamp": "2024-04-04 23:59:59",
"validatorDelegates": 2
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Delegators
Stake Authority Stats
GET
/
v0
/
solana
/
delegators
/
stakeAuthorities
/
{stake_authority}
/
rewards
Stake Authority Stats
These endpoints return information about the rewards received by a delegator (stake account or stake authority), including MEV rewards it has claimed, and commissions it has paid. The data can be broken down at a daily level.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Context |
|---|---|
from | Starting UTC date (e.g. from=“2024-04-22”). |
size | The number of results included per page |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
UTC day
Required range:
1 <= x <= 200Include stake percentage of individual delegations in the results
⌘I